台灣最大程式設計社群網站
線上人數
1320
 
會員總數:243294
討論主題:188076
歡迎您免費加入會員
討論區列表 >> VB.NET >> 設定執行中的序
[]  
[我要回覆]
1
回應主題 加入我的關注話題 檢舉此篇討論 將提問者加入個人黑名單
設定執行中的序
價值 : 30 QP  點閱數:1583 回應數:1

樓主

たかし
初學者
250 28
660 53
發送站內信

捐贈 VP 給 たかし
問題:
我用下面程式可知Cad是否有在電腦中執行
Dim cadap As Autodesk.AutoCAD.Interop.AcadApplication
Dim p() As Process = Process.GetProcessesByName("Acad")
If p.Length <> 0 Then
請問這裡要如何寫才能取得舊的序呢.
MsgBox("有執行")
Else
cadap = New Autodesk.AutoCAD.Interop.AcadApplication '取得新序
MsgBox("沒有執行")
End If

搜尋相關Tags的文章: [ 序 ] ,
本篇文章發表於2008-06-12 16:23
別忘捐VP感謝幫助你的人 新手會員瞧一瞧
1樓
最有價值解答

2@@
捐贈 VP 給 2@@ 檢舉此回應
dim a as Process
Dim p() As Process = Process.GetProcessesByName("Acad")
dim itemAdd as ListViewItem

If p.Length <> 0 Then
請問這裡要如何寫才能取得舊的序呢.
For Each a In processes
itemAdd=listview1.items.add(a.MainWindowTitle)
Next
MsgBox("有執行")
Else
cadap = New Autodesk.AutoCAD.Interop.AcadApplication '取得新序
MsgBox("沒有執行")
End If

試試可以嗎
本篇文章回覆於2008-07-25 13:43
== 簽名檔 ==
--未登入的會員無法查看對方簽名檔--
   
1

回覆
如要回應,請先登入.